Sisyphus repository
Last update: 2017-08-20 19:05:52 +0400 | SRPMs: 17976 | Sign in or Sign up
en ru uk br
Group :: System/Servers
Source RPM: arts

 Main   Changelog   Spec   Patches   Sources   Download   Gear   Bugs and FR (0/9)   Repocop 


package id status test message
arts-1.5.10-alt6.x86_64 Ok
ok
checkbashisms  
arts-1.5.10-alt6.x86_64 Info
info
missing-url Missing Url: in a package.;
arts-1.5.10-alt6.x86_64 Ok
ok
unsafe-tmp-usage-in-scripts  
arts-1.5.10-alt6.x86_64 Ok
ok
sisyphus_check  
arts-1.5.10-alt6.x86_64 Ok
ok
buildroot  
arts-1.5.10-alt6.i586 Experimental
experimental
specfile-macros-get_dep-is-deprecated Versioned Requires: foo >= %{get_dep something} using %get_dep and %get_version macros on a library are deprecated by set:versions. You probably should drop %get_dep/%get_version Requires: to avoid RPM database pollution.;
arts-debuginfo-1.5.10-alt6.x86_64 Ok
ok
sisyphus_check  
arts-debuginfo-1.5.10-alt6.x86_64 Ok
ok
unsafe-tmp-usage-in-scripts  
arts-debuginfo-1.5.10-alt6.x86_64 Info
info
missing-url Missing Url: in a package.;
arts-debuginfo-1.5.10-alt6.x86_64 Ok
ok
checkbashisms  
arts-debuginfo-1.5.10-alt6.x86_64 Ok
ok
buildroot  
libarts-1.5.10-alt6.x86_64 Ok
ok
unsafe-tmp-usage-in-scripts  
libarts-1.5.10-alt6.x86_64 Info
info
altlinux-policy-shared-lib-contains-devel-so SharedLibs Policy Draft violation: Shared Lib package should not contain symlink /usr/lib64/libartsc.so but just /usr/lib64/libartsc.so.0.0.0. According to SharedLibs Policy Draft, symlink /usr/lib64/libartsc.so should be placed in a special subpackage named lib<name>-devel. If you have already packaged this symlink in lib<name>-devel, just append \%exclude /usr/lib64/libartsc.so to \%files of libarts-1.5.10-alt6.x86_64. Otherwise, move the symlink into the subpackage lib<name>-devel. There is a known exception for case the .so file is not a shared lib but a plugin that is never directly linked with. Please report such a case to repocop test.; SharedLibs Policy Draft violation: Shared Lib package should not contain symlink /usr/lib64/libartscbackend.so but just /usr/lib64/libartscbackend.so.0.0.0. According to SharedLibs Policy Draft, symlink /usr/lib64/libartscbackend.so should be placed in a special subpackage named lib<name>-devel. If you have already packaged this symlink in lib<name>-devel, just append \%exclude /usr/lib64/libartscbackend.so to \%files of libarts-1.5.10-alt6.x86_64. Otherwise, move the symlink into the subpackage lib<name>-devel. There is a known exception for case the .so file is not a shared lib but a plugin that is never directly linked with. Please report such a case to repocop test.; SharedLibs Policy Draft violation: Shared Lib package should not contain symlink /usr/lib64/libartsdsp.so but just /usr/lib64/libartsdsp.so.0.0.0. According to SharedLibs Policy Draft, symlink /usr/lib64/libartsdsp.so should be placed in a special subpackage named lib<name>-devel. If you have already packaged this symlink in lib<name>-devel, just append \%exclude /usr/lib64/libartsdsp.so to \%files of libarts-1.5.10-alt6.x86_64. Otherwise, move the symlink into the subpackage lib<name>-devel. There is a known exception for case the .so file is not a shared lib but a plugin that is never directly linked with. Please report such a case to repocop test.; SharedLibs Policy Draft violation: Shared Lib package should not contain symlink /usr/lib64/libartsdsp_st.so but just /usr/lib64/libartsdsp_st.so.0.0.0. According to SharedLibs Policy Draft, symlink /usr/lib64/libartsdsp_st.so should be placed in a special subpackage named lib<name>-devel. If you have already packaged this symlink in lib<name>-devel, just append \%exclude /usr/lib64/libartsdsp_st.so to \%files of libarts-1.5.10-alt6.x86_64. Otherwise, move the symlink into the subpackage lib<name>-devel. There is a known exception for case the .so file is not a shared lib but a plugin that is never directly linked with. Please report such a case to repocop test.; SharedLibs Policy Draft violation: Shared Lib package should not contain symlink /usr/lib64/libartsflow.so but just /usr/lib64/libartsflow.so.1.0.0. According to SharedLibs Policy Draft, symlink /usr/lib64/libartsflow.so should be placed in a special subpackage named lib<name>-devel. If you have already packaged this symlink in lib<name>-devel, just append \%exclude /usr/lib64/libartsflow.so to \%files of libarts-1.5.10-alt6.x86_64. Otherwise, move the symlink into the subpackage lib<name>-devel. There is a known exception for case the .so file is not a shared lib but a plugin that is never directly linked with. Please report such a case to repocop test.; SharedLibs Policy Draft violation: Shared Lib package should not contain symlink /usr/lib64/libartsflow_idl.so but just /usr/lib64/libartsflow_idl.so.1.0.0. According to SharedLibs Policy Draft, symlink /usr/lib64/libartsflow_idl.so should be placed in a special subpackage named lib<name>-devel. If you have already packaged this symlink in lib<name>-devel, just append \%exclude /usr/lib64/libartsflow_idl.so to \%files of libarts-1.5.10-alt6.x86_64. Otherwise, move the symlink into the subpackage lib<name>-devel. There is a known exception for case the .so file is not a shared lib but a plugin that is never directly linked with. Please report such a case to repocop test.; SharedLibs Policy Draft violation: Shared Lib package should not contain symlink /usr/lib64/libartsgslplayobject.so but just /usr/lib64/libartsgslplayobject.so.0.0.0. According to SharedLibs Policy Draft, symlink /usr/lib64/libartsgslplayobject.so should be placed in a special subpackage named lib<name>-devel. If you have already packaged this symlink in lib<name>-devel, just append \%exclude /usr/lib64/libartsgslplayobject.so to \%files of libarts-1.5.10-alt6.x86_64. Otherwise, move the symlink into the subpackage lib<name>-devel. There is a known exception for case the .so file is not a shared lib but a plugin that is never directly linked with. Please report such a case to repocop test.; SharedLibs Policy Draft violation: Shared Lib package should not contain symlink /usr/lib64/libartswavplayobject.so but just /usr/lib64/libartswavplayobject.so.0.0.0. According to SharedLibs Policy Draft, symlink /usr/lib64/libartswavplayobject.so should be placed in a special subpackage named lib<name>-devel. If you have already packaged this symlink in lib<name>-devel, just append \%exclude /usr/lib64/libartswavplayobject.so to \%files of libarts-1.5.10-alt6.x86_64. Otherwise, move the symlink into the subpackage lib<name>-devel. There is a known exception for case the .so file is not a shared lib but a plugin that is never directly linked with. Please report such a case to repocop test.; SharedLibs Policy Draft violation: Shared Lib package should not contain symlink /usr/lib64/libkmedia2.so but just /usr/lib64/libkmedia2.so.1.0.0. According to SharedLibs Policy Draft, symlink /usr/lib64/libkmedia2.so should be placed in a special subpackage named lib<name>-devel. If you have already packaged this symlink in lib<name>-devel, just append \%exclude /usr/lib64/libkmedia2.so to \%files of libarts-1.5.10-alt6.x86_64. Otherwise, move the symlink into the subpackage lib<name>-devel. There is a known exception for case the .so file is not a shared lib but a plugin that is never directly linked with. Please report such a case to repocop test.; SharedLibs Policy Draft violation: Shared Lib package should not contain symlink /usr/lib64/libkmedia2_idl.so but just /usr/lib64/libkmedia2_idl.so.1.0.0. According to SharedLibs Policy Draft, symlink /usr/lib64/libkmedia2_idl.so should be placed in a special subpackage named lib<name>-devel. If you have already packaged this symlink in lib<name>-devel, just append \%exclude /usr/lib64/libkmedia2_idl.so to \%files of libarts-1.5.10-alt6.x86_64. Otherwise, move the symlink into the subpackage lib<name>-devel. There is a known exception for case the .so file is not a shared lib but a plugin that is never directly linked with. Please report such a case to repocop test.; SharedLibs Policy Draft violation: Shared Lib package should not contain symlink /usr/lib64/libmcop.so but just /usr/lib64/libmcop.so.1.0.0. According to SharedLibs Policy Draft, symlink /usr/lib64/libmcop.so should be placed in a special subpackage named lib<name>-devel. If you have already packaged this symlink in lib<name>-devel, just append \%exclude /usr/lib64/libmcop.so to \%files of libarts-1.5.10-alt6.x86_64. Otherwise, move the symlink into the subpackage lib<name>-devel. There is a known exception for case the .so file is not a shared lib but a plugin that is never directly linked with. Please report such a case to repocop test.; SharedLibs Policy Draft violation: Shared Lib package should not contain symlink /usr/lib64/libmcop_mt.so but just /usr/lib64/libmcop_mt.so.1.0.0. According to SharedLibs Policy Draft, symlink /usr/lib64/libmcop_mt.so should be placed in a special subpackage named lib<name>-devel. If you have already packaged this symlink in lib<name>-devel, just append \%exclude /usr/lib64/libmcop_mt.so to \%files of libarts-1.5.10-alt6.x86_64. Otherwise, move the symlink into the subpackage lib<name>-devel. There is a known exception for case the .so file is not a shared lib but a plugin that is never directly linked with. Please report such a case to repocop test.; SharedLibs Policy Draft violation: Shared Lib package should not contain symlink /usr/lib64/libsoundserver_idl.so but just /usr/lib64/libsoundserver_idl.so.1.0.0. According to SharedLibs Policy Draft, symlink /usr/lib64/libsoundserver_idl.so should be placed in a special subpackage named lib<name>-devel. If you have already packaged this symlink in lib<name>-devel, just append \%exclude /usr/lib64/libsoundserver_idl.so to \%files of libarts-1.5.10-alt6.x86_64. Otherwise, move the symlink into the subpackage lib<name>-devel. There is a known exception for case the .so file is not a shared lib but a plugin that is never directly linked with. Please report such a case to repocop test.;
libarts-1.5.10-alt6.x86_64 Info
info
missing-url Missing Url: in a package.;
libarts-1.5.10-alt6.x86_64 Ok
ok
checkbashisms  
libarts-1.5.10-alt6.x86_64 Ok
ok
buildroot  
libarts-1.5.10-alt6.x86_64 Ok
ok
sisyphus_check  
libarts-debuginfo-1.5.10-alt6.x86_64 Info
info
missing-url Missing Url: in a package.;
libarts-debuginfo-1.5.10-alt6.x86_64 Ok
ok
checkbashisms  
libarts-debuginfo-1.5.10-alt6.x86_64 Ok
ok
unsafe-tmp-usage-in-scripts  
libarts-debuginfo-1.5.10-alt6.x86_64 Ok
ok
sisyphus_check  
libarts-debuginfo-1.5.10-alt6.x86_64 Ok
ok
buildroot  
libarts-devel-1.5.10-alt6.x86_64 Ok
ok
sisyphus_check  
libarts-devel-1.5.10-alt6.x86_64 Ok
ok
unsafe-tmp-usage-in-scripts  
libarts-devel-1.5.10-alt6.x86_64 Info
info
missing-url Missing Url: in a package.;
libarts-devel-1.5.10-alt6.x86_64 Ok
ok
checkbashisms  
libarts-devel-1.5.10-alt6.x86_64 Ok
ok
buildroot  
libarts-devel-debuginfo-1.5.10-alt6.x86_64 Ok
ok
checkbashisms  
libarts-devel-debuginfo-1.5.10-alt6.x86_64 Info
info
missing-url Missing Url: in a package.;
libarts-devel-debuginfo-1.5.10-alt6.x86_64 Ok
ok
unsafe-tmp-usage-in-scripts  
libarts-devel-debuginfo-1.5.10-alt6.x86_64 Ok
ok
sisyphus_check  
libarts-devel-debuginfo-1.5.10-alt6.x86_64 Ok
ok
buildroot  
libarts-gmcop-1.5.10-alt6.x86_64 Ok
ok
sisyphus_check  
libarts-gmcop-1.5.10-alt6.x86_64 Ok
ok
unsafe-tmp-usage-in-scripts  
libarts-gmcop-1.5.10-alt6.x86_64 Info
info
altlinux-policy-shared-lib-contains-devel-so SharedLibs Policy Draft violation: Shared Lib package should not contain symlink /usr/lib64/libgmcop.so but just /usr/lib64/libgmcop.so.1.0.0. According to SharedLibs Policy Draft, symlink /usr/lib64/libgmcop.so should be placed in a special subpackage named lib<name>-devel. If you have already packaged this symlink in lib<name>-devel, just append \%exclude /usr/lib64/libgmcop.so to \%files of libarts-gmcop-1.5.10-alt6.x86_64. Otherwise, move the symlink into the subpackage lib<name>-devel. There is a known exception for case the .so file is not a shared lib but a plugin that is never directly linked with. Please report such a case to repocop test.;
libarts-gmcop-1.5.10-alt6.x86_64 Info
info
missing-url Missing Url: in a package.;
libarts-gmcop-1.5.10-alt6.x86_64 Ok
ok
checkbashisms  
libarts-gmcop-1.5.10-alt6.x86_64 Ok
ok
buildroot  
libarts-gmcop-debuginfo-1.5.10-alt6.x86_64 Ok
ok
checkbashisms  
libarts-gmcop-debuginfo-1.5.10-alt6.x86_64 Info
info
missing-url Missing Url: in a package.;
libarts-gmcop-debuginfo-1.5.10-alt6.x86_64 Ok
ok
unsafe-tmp-usage-in-scripts  
libarts-gmcop-debuginfo-1.5.10-alt6.x86_64 Ok
ok
sisyphus_check  
libarts-gmcop-debuginfo-1.5.10-alt6.x86_64 Ok
ok
buildroot  
libarts-gmcop-devel-1.5.10-alt6.x86_64 Ok
ok
buildroot  
libarts-gmcop-devel-1.5.10-alt6.x86_64 Ok
ok
checkbashisms  
libarts-gmcop-devel-1.5.10-alt6.x86_64 Info
info
missing-url Missing Url: in a package.;
libarts-gmcop-devel-1.5.10-alt6.x86_64 Ok
ok
unsafe-tmp-usage-in-scripts  
libarts-gmcop-devel-1.5.10-alt6.x86_64 Ok
ok
sisyphus_check  
libarts-qtmcop-1.5.10-alt6.x86_64 Ok
ok
buildroot  
libarts-qtmcop-1.5.10-alt6.x86_64 Ok
ok
sisyphus_check  
libarts-qtmcop-1.5.10-alt6.x86_64 Ok
ok
unsafe-tmp-usage-in-scripts  
libarts-qtmcop-1.5.10-alt6.x86_64 Info
info
altlinux-policy-shared-lib-contains-devel-so SharedLibs Policy Draft violation: Shared Lib package should not contain symlink /usr/lib64/libqtmcop.so but just /usr/lib64/libqtmcop.so.1.0.0. According to SharedLibs Policy Draft, symlink /usr/lib64/libqtmcop.so should be placed in a special subpackage named lib<name>-devel. If you have already packaged this symlink in lib<name>-devel, just append \%exclude /usr/lib64/libqtmcop.so to \%files of libarts-qtmcop-1.5.10-alt6.x86_64. Otherwise, move the symlink into the subpackage lib<name>-devel. There is a known exception for case the .so file is not a shared lib but a plugin that is never directly linked with. Please report such a case to repocop test.;
libarts-qtmcop-1.5.10-alt6.x86_64 Info
info
missing-url Missing Url: in a package.;
libarts-qtmcop-1.5.10-alt6.x86_64 Ok
ok
checkbashisms  
libarts-qtmcop-debuginfo-1.5.10-alt6.x86_64 Ok
ok
buildroot  
libarts-qtmcop-debuginfo-1.5.10-alt6.x86_64 Ok
ok
sisyphus_check  
libarts-qtmcop-debuginfo-1.5.10-alt6.x86_64 Ok
ok
unsafe-tmp-usage-in-scripts  
libarts-qtmcop-debuginfo-1.5.10-alt6.x86_64 Info
info
missing-url Missing Url: in a package.;
libarts-qtmcop-debuginfo-1.5.10-alt6.x86_64 Ok
ok
checkbashisms  
libarts-qtmcop-devel-1.5.10-alt6.x86_64 Ok
ok
checkbashisms  
libarts-qtmcop-devel-1.5.10-alt6.x86_64 Info
info
missing-url Missing Url: in a package.;
libarts-qtmcop-devel-1.5.10-alt6.x86_64 Ok
ok
unsafe-tmp-usage-in-scripts  
libarts-qtmcop-devel-1.5.10-alt6.x86_64 Ok
ok
sisyphus_check  
libarts-qtmcop-devel-1.5.10-alt6.x86_64 Ok
ok
buildroot  
 
© 2009–2017 Igor Zubkov